MediaWiki MobileFrontend extension 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1699541 漏洞类型 跨站脚本
发布时间 2019-08-09 更新时间 2019-08-19
CVE编号 CVE-2019-14807 CNNVD-ID CNNVD-201908-656
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-656
|漏洞详情
MediaWiki是美国MediaWiki(维基媒体)基金会的一套自由免费的基于网络的Wiki引擎。该产品可用于部署内部的知识管理和内容管理系统。MobileFrontend extension是使用在其中的一个移动前端扩展。 MediaWiki MobileFrontend extension 1.31版本至1.33版本中的includes/specials/MobileSpecialPageFeed.php文件的edit summary字段存在跨站脚本漏洞。该漏洞源于WEB应用缺少对客户端数据的正确验证。攻击者可利用该漏洞执行客户端代码。
|参考资料

来源:phabricator.wikimedia.org

链接:https://phabricator.wikimedia.org/T229541


来源:gerrit.wikimedia.org

链接:https://gerrit.wikimedia.org/g/mediawiki/extensions/MobileFrontend/+/08dfc59771d0ed9b739a59bb521baf7f59d169f9


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-14807